### Hierarchy

- IGameNode
  - IRule
  - IColor
  - IGameTile

## Index

### Properties

- __coverageCount
- __source

### Methods

- __getLineAndColumnRange
- __getSourceLineAndColumn
- toSourceString
- toString

## Properties

### __coverageCount

__coverageCount: Optional<number>

- Defined in models/game.ts:14

### __source

__source: object

- Defined in models/game.ts:13

#### Type declaration

- ##### code: string

- ##### sourceOffset: number

## Methods

### __getLineAndColumnRange

- __getLineAndColumnRange(): object

- - Defined in models/game.ts:16

  #### Returns object

  - ##### end: object

    - ##### col: number

    - ##### line: number

  - ##### start: object

    - ##### col: number

    - ##### line: number

### __getSourceLineAndColumn

- __getSourceLineAndColumn(): object

- - Defined in models/game.ts:15

  #### Returns object

  - ##### colNum: number

  - ##### lineNum: number

### toSourceString

- toSourceString(): string

- - Defined in models/game.ts:18

  #### Returns string

### toString

- toString(): string

- - Defined in models/game.ts:17

  #### Returns string

Generated using TypeDoc